DROP TABLE IF EXISTS Person;
CREATE TABLE Person (
  id     BIGINT                              AUTO_INCREMENT PRIMARY KEY,
  name      VARCHAR(128),
  firstname VARCHAR(128),
  gender ENUM('', 'male', 'female') NOT NULL DEFAULT 'male',
  groups SET('', 'a', 'b', 'c')     NOT NULL DEFAULT ''
);

INSERT INTO Person (name, firstname, gender, groups) VALUES
  ('Doe', 'John', 'male', 'c'),
  ('Smith', 'Jane', 'female', 'a,c');


DROP TABLE IF EXISTS Note;
CREATE TABLE Note (
  id    BIGINT           AUTO_INCREMENT PRIMARY KEY,
  gr_id INT(11) NOT NULL DEFAULT 0,
  value VARCHAR(128),
  t1    TEXT,
  t2    TEXT
);

INSERT INTO Note (gr_id, value, t1, t2) VALUES
  (1, 'First note - constants', 'Latest Information', 'Dear User\nt\n you\'re invited to to our Christmas party'),
  (2, 'Second note - some variables', 'Latest Information: {{party:C:all}}',
   'Dear {{Firstname:C:all}} {{Lastname:C:all}}\n\n you\'re invited to to our Christmas party');
